# Uses of Interface
org.springframework.scripting.ScriptSource

Packages that use ScriptSource
Package
Description
org.springframework.scripting
Core interfaces for Spring's scripting support.
org.springframework.scripting.bsh
Package providing integration of BeanShell (and BeanShell2) into Spring's scripting infrastructure.
org.springframework.scripting.groovy
Package providing integration of Groovy into Spring's scripting infrastructure.
org.springframework.scripting.support
Support classes for Spring's scripting package.

## Uses of ScriptSource in org.springframework.scripting

Methods in org.springframework.scripting that return ScriptSource
Modifier and Type
Method
Description
`ScriptSource`
ScriptCompilationException.`getScriptSource()`
Return the source for the offending script.
Methods in org.springframework.scripting with parameters of type ScriptSource
Modifier and Type
Method
Description
`Object`
ScriptEvaluator.`evaluate(ScriptSource script)`
Evaluate the given script.
`Object`
ScriptEvaluator.`evaluate(ScriptSource script, Map<String,Object> arguments)`
Evaluate the given script with the given arguments.
`Object`
ScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Factory method for creating the scripted Java object.
`Class<?>`
ScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`
Determine the type of the scripted Java object.
`boolean`
ScriptFactory.`requiresScriptedObjectRefresh(ScriptSource scriptSource)`
Determine whether a refresh is required (for example, through ScriptSource's `isModified()` method).
Constructors in org.springframework.scripting with parameters of type ScriptSource
Modifier
Constructor
Description
``
`ScriptCompilationException(ScriptSource scriptSource, String msg)`
Constructor for ScriptCompilationException.
``
`ScriptCompilationException(ScriptSource scriptSource, String msg, Throwable cause)`
Constructor for ScriptCompilationException.
``
`ScriptCompilationException(ScriptSource scriptSource, Throwable cause)`
Constructor for ScriptCompilationException.

## Uses of ScriptSource in org.springframework.scripting.bsh

Methods in org.springframework.scripting.bsh with parameters of type ScriptSource
Modifier and Type
Method
Description
`Object`
BshScriptEvaluator.`evaluate(ScriptSource script)`
`Object`
BshScriptEvaluator.`evaluate(ScriptSource script, Map<String,Object> arguments)`
`Object`
BshScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Load and parse the BeanShell script via `BshScriptUtils`.
`Class<?>`
BshScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`
`boolean`
BshScriptFactory.`requiresScriptedObjectRefresh(ScriptSource scriptSource)`

## Uses of ScriptSource in org.springframework.scripting.groovy

Methods in org.springframework.scripting.groovy with parameters of type ScriptSource
Modifier and Type
Method
Description
`Object`
GroovyScriptEvaluator.`evaluate(ScriptSource script)`
`Object`
GroovyScriptEvaluator.`evaluate(ScriptSource script, Map<String,Object> arguments)`
`protected Object`
GroovyScriptFactory.`executeScript(ScriptSource scriptSource, Class<?> scriptClass)`
Instantiate the given Groovy script class and run it if necessary.
`Object`
GroovyScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Loads and parses the Groovy script via the GroovyClassLoader.
`Class<?>`
GroovyScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`
`boolean`
GroovyScriptFactory.`requiresScriptedObjectRefresh(ScriptSource scriptSource)`

## Uses of ScriptSource in org.springframework.scripting.support

Classes in org.springframework.scripting.support that implement ScriptSource
Modifier and Type
Class
Description
`class`
`ResourceScriptSource`
`ScriptSource` implementation based on Spring's `Resource` abstraction.
`class`
`StaticScriptSource`
Static implementation of the `ScriptSource` interface, encapsulating a given String that contains the script source text.
Methods in org.springframework.scripting.support that return ScriptSource
Modifier and Type
Method
Description
`protected ScriptSource`
ScriptFactoryPostProcessor.`convertToScriptSource(String beanName, String scriptSourceLocator, org.springframework.core.io.ResourceLoader resourceLoader)`
Convert the given script source locator to a ScriptSource instance.
`protected ScriptSource`
ScriptFactoryPostProcessor.`getScriptSource(String beanName, String scriptSourceLocator)`
Obtain a ScriptSource for the given bean, lazily creating it if not cached already.
Methods in org.springframework.scripting.support with parameters of type ScriptSource
Modifier and Type
Method
Description
`protected Object`
StandardScriptFactory.`adaptToInterfaces(Object script, ScriptSource scriptSource, Class<?>... actualInterfaces)`
`protected org.springframework.beans.factory.config.BeanDefinition`
ScriptFactoryPostProcessor.`createScriptedObjectBeanDefinition(org.springframework.beans.factory.config.BeanDefinition bd, String scriptFactoryBeanName, ScriptSource scriptSource, Class<?>[] interfaces)`
Create a bean definition for the scripted object, based on the given script definition, extracting the definition data that is relevant for the scripted object (that is, everything but bean class and constructor arguments).
`Object`
StandardScriptEvaluator.`evaluate(ScriptSource script)`
`Object`
StandardScriptEvaluator.`evaluate(ScriptSource script, Map<String,Object> argumentBindings)`
`protected Object`
StandardScriptFactory.`evaluateScript(ScriptSource scriptSource)`
`Object`
StandardScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Load and parse the script via JSR-223's ScriptEngine.
`Class<?>`
StandardScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`
`protected ScriptEngine`
StandardScriptEvaluator.`getScriptEngine(ScriptSource script)`
Obtain the JSR-223 ScriptEngine to use for the given script.
`boolean`
StandardScriptFactory.`requiresScriptedObjectRefresh(ScriptSource scriptSource)`
`protected ScriptEngine`
StandardScriptFactory.`retrieveScriptEngine(ScriptSource scriptSource)`
Constructors in org.springframework.scripting.support with parameters of type ScriptSource
Modifier
Constructor
Description
``
`RefreshableScriptTargetSource(org.springframework.beans.factory.BeanFactory beanFactory, String beanName, ScriptFactory scriptFactory, ScriptSource scriptSource, boolean isFactoryBean)`
Create a new RefreshableScriptTargetSource.